Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc
Class NonContextualLobCreator

    java.lang.Object
      org.hibernate.engine.jdbc.AbstractLobCreator
          org.hibernate.engine.jdbc.NonContextualLobCreator

All Implemented Interfaces:
  LobCreator

    public class NonContextualLobCreator

extends AbstractLobCreator
implements LobCreator

`LobCreator` implementation using non-contextual or local creation, meaning that we generate the LOB references ourselves as opposed to delegating to the JDBC `Connection`.

Field Summary
`static NonContextualLobCreator` | `INSTANCE`

Method Summary
`Blob` | `createBlob(byte[] bytes)` Create a BLOB reference encapsulating the given byte array.
`Blob` | `createBlob(InputStream stream, long length)` Create a BLOB reference encapsulating the given binary stream.
`Clob` | `createClob(Reader reader, long length)` Create a CLOB reference encapsulating the given character data.
`Clob` | `createClob(String string)` Create a CLOB reference encapsulating the given String data.
`NClob` | `createNClob(Reader reader, long length)` Create a NCLOB reference encapsulating the given character data.
`NClob` | `createNClob(String string)` Create a NCLOB reference encapsulating the given String data.

Methods inherited from class org.hibernate.engine.jdbc.AbstractLobCreator
`wrap, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.engine.jdbc.LobCreator
`wrap, wrap`

Field Detail

### INSTANCE

    public static final NonContextualLobCreator INSTANCE

Method Detail

### createBlob

    public Blob createBlob(byte[] bytes)

  Create a BLOB reference encapsulating the given byte array.

  Specified by:
    `createBlob` in interface `LobCreator`
  Parameters:
    `bytes` - The byte array to wrap as a blob.
  Returns:
    The created blob, castable to `Blob` as well as `BlobImplementer`

### createBlob

    public Blob createBlob(InputStream stream,
                           long length)

  Create a BLOB reference encapsulating the given binary stream.

  Specified by:
    `createBlob` in interface `LobCreator`
  Parameters:
    `stream` - The binary stream to wrap as a blob.
    `length` - The length of the stream.
  Returns:
    The created blob, castable to `Blob` as well as `BlobImplementer`

### createClob

    public Clob createClob(String string)

  Create a CLOB reference encapsulating the given String data.

  Specified by:
    `createClob` in interface `LobCreator`
  Parameters:
    `string` - The String to wrap as a clob.
  Returns:
    The created clob, castable to `Clob` as well as `ClobImplementer`

### createClob

    public Clob createClob(Reader reader,
                           long length)

  Create a CLOB reference encapsulating the given character data.

  Specified by:
    `createClob` in interface `LobCreator`
  Parameters:
    `reader` - The character data reader.
    `length` - The length of the reader data.
  Returns:
    The created clob, castable to `Clob` as well as `ClobImplementer`

### createNClob

    public NClob createNClob(String string)

  Create a NCLOB reference encapsulating the given String data.

  Specified by:
    `createNClob` in interface `LobCreator`
  Parameters:
    `string` - The String to wrap as a NCLOB.
  Returns:
    The created NCLOB, castable as `Clob` as well as `NClobImplementer`. In JDK 1.6 environments, also castable to java.sql.NClob

### createNClob

    public NClob createNClob(Reader reader,
                             long length)

  Create a NCLOB reference encapsulating the given character data.

  Specified by:
    `createNClob` in interface `LobCreator`
  Parameters:
    `reader` - The character data reader.
    `length` - The length of the reader data.
  Returns:
    The created NCLOB, castable as `Clob` as well as `NClobImplementer`. In JDK 1.6 environments, also castable to java.sql.NClob

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.